.\" $NetBSD: intro.4,v 1.5 2005/09/05 18:54:10 kiyohara Exp $
.\"
.\" Copyright (c) 2004 Valeriy E. Ushakov
.\" Copyright (c) 1994 Christopher G. Demetriou
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. All advertising materials mentioning features or use of this software
.\"    must display the following acknowledgement:
.\"          This product includes software developed for the
.\"          NetBSD Project.  See http://www.NetBSD.org/ for
.\"          information about NetBSD.
.\" 4. The name of the author may not be used to endorse or promote products
.\"    derived from this software without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
.\" IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
.\" OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
.\" IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
.\" INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
.\" NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
.\" DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
.\" THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
.\" (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
.\" THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
.\"
.\" <<Id: LICENSE,v 1.2 2000/06/14 15:57:33 cgd Exp>>
.\"
.Dd September 6, 2005
.Dt INTRO 4 hpcsh
.Os
.Sh NAME
.Nm intro
.Nd introduction to hpcsh special files and hardware support
.\"
.Sh DESCRIPTION
.\"
This section describes the special files, related driver functions,
and networking support
available in the system.
In this part of the manual, the
.Tn SYNOPSIS
section of
each configurable device gives a sample specification
for use in constructing a system description for the
.Xr config 1
program.
The
.Tn DIAGNOSTICS
section lists messages which may appear on the console
and/or in the system error log
.Pa /var/log/messages
due to errors in device operation;
see
.Xr syslogd 8
for more information.
.Pp
This section contains both devices
which may be configured into the system
and network related information.
The networking support is introduced in
.Xr netintro 4 .
.\"
.Sh DEVICE SUPPORT
.\"
This section describes the hardware supported on the hpcsh
platform.
Software support for these devices comes in two forms.  A hardware
device may be supported with a character or block
.Em device driver ,
or it may be used within the networking subsystem and have a
.Em network interface driver .
Block and character devices are accessed through files in the file
system of a special type; see
.Xr mknod 8 .
Network interfaces are indirectly accessed through the interprocess
communication facilities provided by the system; see
.Xr socket 2 .
.Pp
A hardware device is identified to the system at configuration time
and the appropriate device or network interface driver is then compiled
into the system.  When the resultant system is booted, the
autoconfiguration facilities in the system probe for the device
and, if found, enable the software support for it.
If a device does not respond at autoconfiguration
time it is not accessible at any time afterwards.
To enable a device which did not autoconfigure,
the system must be rebooted.
.Pp
The autoconfiguration system is described in
.Xr autoconf 4 .
A list of the supported devices is given below.
.\"
.Sh SUPPORTED SYSTEMS
.\"
The
.Nx Ns /hpcsh
port supports
.Tn HITACHI
.Tn SuperH
family based Windows\ CE PDA machines.
Currently supported models are
.Pp
HP Jornada Series:
.Bl -bullet -offset indent -compact
.It
HP 620LX
.It
HP Jornada 680, 680e, 690, 690e
.El
.Pp
Hitachi Persona Series:
.Bl -bullet -offset indent -compact
.It
PERSONA HPW-50PAD
.It
PERSONA HPW-230JC
.It
PERSONA HPW-650PA
.El
.\"
.Sh LIST OF DEVICES
.\"
The devices listed below are supported in this incarnation of the system.
Devices are indicated by their functional interface.
Not all supported devices are listed.
.\"
.\"
.\"
.Pp
Standard SuperH on-chip peripheral devices:
.\"
.Bl -tag -width "xxxxxxxx" -offset indent -compact
.\"
.It adc
analog/digital converter
.It sci
serial communication interface
.It scif
serial communication interface with FIFO
.It shb
bus for SuperH on-chip peripheral devices
.El
.\"
.\"
.\"
.Pp
Companion chips:
.\"
.Bl -tag -width "xxxxxxxx" -offset indent -compact
.\"
.It hd64461
HD64461 Windows\ CE Intelligent Peripheral Controller
.It hd64461pcmcia
HD64461 integrated PCMCIA controller
.It hd64461video
HD64461 integrated LCD controller
.It hd64465
HD64465 Windows\ CE Intelligent Peripheral Controller
.It hd64465pcmcia
HD64465 integrated PCMCIA controller
.It hd64465video
HD64465 integrated LCD controller
.El
.\"
.\"
.\"
.Pp
Pointer devices:
.\"
.Bl -tag -width "xxxxxxxx" -compact -offset indent
.\"
.It j6x0lcd
LCD screen of HP Jornada 680 series machines
.It j6x0tp
touch screen of HP Jornada 680 series machines
.It psh3lcd
LCD screen of HITACHI PERSONA SH3 series machines
.It psh3tp
touch screen of HITACHI PERSONA SH3 series machines
.El
.\"
.Sh SEE ALSO
.\"
.Xr adc 4 ,
.Xr j6x0lcd 4 ,
.Xr j6x0tp 4 ,
.Xr psh3lcd 4 ,
.Xr psh3tp 4 ,
.Xr shb 4
.\"
.Sh BUGS
.\"
This manual page is incomplete.
